commit:     bf5b2a84ef8273d7a25474d1decc454a7fd525aa
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 06:55:41 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 07:17:23 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf5b2a84

www-client/httrack: add libressl support

Package-Manager: portage-2.2.20.1

 www-client/httrack/httrack-3.48.21-r2.ebuild | 50 ++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/www-client/httrack/httrack-3.48.21-r2.ebuild 
b/www-client/httrack/httrack-3.48.21-r2.ebuild
new file mode 100644
index 0000000..0a53cb8
--- /dev/null
+++ b/www-client/httrack/httrack-3.48.21-r2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils
+
+DESCRIPTION="HTTrack Website Copier, Open Source Offline Browser"
+HOMEPAGE="http://www.httrack.com/";
+SRC_URI="http://mirror.httrack.com/historical/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="libressl static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.5.1-r1
+       !libressl? ( dev-libs/openssl:= )
+       libressl? ( dev-libs/libressl )
+       "
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS README greetings.txt history.txt )
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-3.48.13-minizip.patch
+}
+
+src_configure() {
+       econf $(use_enable static-libs static) \
+               --docdir=/usr/share/doc/${PF} \
+               --htmldir=/usr/share/doc/${PF}/html
+}
+
+src_install() {
+       default
+
+       # Make webhttrack work despite FEATURES=nodoc cutting
+       # all of /usr/share/doc/ away (bug #493376)
+       if has nodoc ${FEATURES} ; then
+               dodir /usr/share/${PF}/
+               mv "${D}"/usr/share/{doc/,}${PF}/html || die
+
+               rm "${D}"/usr/share/httrack/html || die
+               dosym /usr/share/${PF}/html /usr/share/httrack/html
+       fi
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to